%module asterisk

%{
/*
 * CVS $Id: asterisk.i,v 1.2 2004/11/18 07:17:10 ww Exp $
 *
 * res_python.i -- SWIG Interface definition for 
 *                 Embedded Python Interpreter for Asterisk
 *
 * This software is distributed under the terms of the GNU GPL, version 2.0 or
 * later, a copy of which you should have recieved in the source distribution 
 * with this file or which is also available at http://www.fsf.org/licences/gpl.html
 *
 * In addition to the terms set out by the GNU GPL, an additional permission is
 * required due to the unfortunate circumstance that our international telcommunications
 * regulatory body, the ITU has given a patent-encumbered encoding/decoding 
 * algorithm the status of a standard. Worse, this standard has become the only
 * choice for many operations in telecommunications due to interconnection requirements
 * between autonomous networks despite the availability of good alternatives. The
 * use of this codec, G.729, and its variants, is discouraged.
 *
 * In the interests of minimizing technical barriers to communication, please
 * encourage your suppliers and customers to support free alternatives like
 * GSM or Speex.
 *
 * If you *absolutely must* use G.729:
 * 
 * Permission is granted to link this program at runtime with the chan_g729a.so
 * library distributed by Digium Inc. in ftp://ftp.digium.com/pub/asterisk/g729
 * or any other implementation of the proprietary and patent-encumbered pseudo
 * standard known as G.729, G.729A or G.729B.
 *
 */

#include <pthread.h>
#include <asterisk/pbx.h>
#include <asterisk/config.h>
#include <asterisk/channel.h>
#include <asterisk/module.h>
#include <asterisk/logger.h>
#include <asterisk/lock.h>

%}

%include helpers.i
%include helpers_cdr.i

void ast_verbose(char *);

struct ast_channel *ast_channel_alloc(int);
void ast_channel_free(struct ast_channel *);

struct ast_app *pbx_findapp(char *);
int pbx_exec(struct ast_channel *, struct ast_app *, char *, int);
void ast_softhangup(struct ast_channel *, int);

char *pbx_builtin_getvar_helper(struct ast_channel *, char *);
void pbx_builtin_setvar_helper(struct ast_channel *, char *, char *);

