
%{
/*
 * CVS $Id: helpers_cdr.i,v 1.1 2004/11/18 07:17:10 ww Exp $
 *
 * helpers_cdr.i -- SWIG Interface definition for 
 *                  Embedded Python Interpreter for Asterisk
 *
 * This software is distributed under the terms of the GNU GPL, version 2.0 or
 * later, a copy of which you should have recieved in the source distribution 
 * with this file or which is also available at http://www.fsf.org/licences/gpl.html
 *
 * In addition to the terms set out by the GNU GPL, an additional permission is
 * required due to the unfortunate circumstance that our international telcommunications
 * regulatory body, the ITU has given a patent-encumbered encoding/decoding 
 * algorithm the status of a standard. Worse, this standard has become the only
 * choice for many operations in telecommunications due to interconnection requirements
 * between autonomous networks despite the availability of good alternatives. The
 * use of this codec, G.729, and its variants, is discouraged.
 *
 * In the interests of minimizing technical barriers to communication, please
 * encourage your suppliers and customers to support free alternatives like
 * GSM or Speex.
 *
 * If you *absolutely must* use G.729:
 * 
 * Permission is granted to link this program at runtime with the chan_g729a.so
 * library distributed by Digium Inc. in ftp://ftp.digium.com/pub/asterisk/g729
 * or any other implementation of the proprietary and patent-encumbered pseudo
 * standard known as G.729, G.729A or G.729B.
 *
 */

  /*
   * Helper function to convert an ast_cdr pointer to a python
   * object for use in cdr_python.c
   */
  PyObject * PyAsterisk_BuildCdrObj(struct ast_cdr *cdr) {
    PyObject *resultobj;
    resultobj = SWIG_NewPointerObj((void *)cdr, SWIGTYPE_p_ast_cdr, 0);
    return resultobj;
  }

%}

%inline %{

  char *ast_cdr_get_accountcode(struct ast_cdr *cdr) {
    return cdr->accountcode;
  }
  char *ast_cdr_get_src(struct ast_cdr *cdr) {
    return cdr->src;
  }
  char *ast_cdr_get_dst(struct ast_cdr *cdr) {
    return cdr->dst;
  }
  char *ast_cdr_get_dcontext(struct ast_cdr *cdr) {
    return cdr->dcontext;
  }
  char *ast_cdr_get_clid(struct ast_cdr *cdr) {
    return cdr->clid;
  }
  char *ast_cdr_get_channel(struct ast_cdr *cdr) {
    return cdr->channel;
  }
  char *ast_cdr_get_dstchannel(struct ast_cdr *cdr) {
    return cdr->dstchannel;
  }
  char *ast_cdr_get_lastapp(struct ast_cdr *cdr) {
    return cdr->lastapp;
  }
  char *ast_cdr_get_lastdata(struct ast_cdr *cdr) {
    return cdr->lastdata;
  }
  int ast_cdr_get_start(struct ast_cdr *cdr) {
    return cdr->start.tv_sec;
  }
  int ast_cdr_get_answer(struct ast_cdr *cdr) {
    return cdr->answer.tv_sec;
  }
  int ast_cdr_get_end(struct ast_cdr *cdr) {
    return cdr->end.tv_sec;
  }
  int ast_cdr_get_duration(struct ast_cdr *cdr) {
    return cdr->duration;
  }
  int ast_cdr_get_billsec(struct ast_cdr *cdr) {
    return cdr->billsec;
  }
  char *ast_cdr_get_disposition(struct ast_cdr *cdr) {
    return ast_cdr_disp2str(cdr->disposition);
  }
  char *ast_cdr_get_amaflags(struct ast_cdr *cdr) {
    return ast_cdr_flags2str(cdr->amaflags);
  }
  char *ast_cdr_get_uniqueid(struct ast_cdr *cdr) {
    return cdr->uniqueid;
  }
  char *ast_cdr_get_userfield(struct ast_cdr *cdr) {
    return cdr->userfield;
  }
  struct ast_channel *ast_cdr_get_channelp(struct ast_cdr *cdr) {
    return cdr->channelp;
  }
%}
